## calypso.util
Class AssertionException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--calypso.util.AssertionException

public class AssertionException
extends java.lang.Error

Assertion exceptions are thrown when assertion code is invoked and fails to operate properly.

See Also:
  Serialized Form

Constructor Summary
`AssertionException()`
`AssertionException(java.lang.String msg)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertionException

    public AssertionException()

### AssertionException

    public AssertionException(java.lang.String msg)